# Animator Class Reference

# Animator

    public class Animator

Responsible for parsing GIF data and decoding the individual frames.

- `init(withDelegate:)`

  Creates a new animator with a delegate.

  #### Declaration

  Swift

      public init(withDelegate delegate: GIFAnimatable)

  #### Parameters

  `view` | A view object that implements the `GIFAnimatable` protocol.

  #### Return Value

  A new animator instance.

2018 © Reda Lemeden. See LICENSE for more details.

Generated by jazzy ♪♫ v0.9.0, a Realm project.